Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040139
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2019-02-05 12:252019-02-09 13:57
ReporteraferrazView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision9238d1bf8d7a
ProjectionnoneETAnoneTarget VersionRR19Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040139: It should not be possible to reverse a payment made in a different POS Terminal

DescriptionIt should not be possible to reverse a payment made in a different POS Terminal
Steps To Reproduce- Login in VBS-1 POS.
- Create a receipt and pay it.
- Login in VBS1001 POS.
- Open previous receipt and try to reverse the payment.
- Check you can do it and you should not.
Proposed SolutionWhen clicking on Reverse Payment button in terminal VBS1001, as payment is related to terminal VBS-1, a popup should be displayed telling:
It is not possible to reverse a payment made in a different terminal (VBS-1).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109657)
hgbot (developer)
2019-02-09 13:57

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9238d1bf8d7a6016b495f605e2057a49f2895972
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Feb 07 00:44:14 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9238d1bf8d7a6016b495f605e2057a49f2895972 [^]

Fixed issue 40139: It should not be posible to reverse a payment made in a
different POS Terminal

Now a payment made in a different POS Terminal can be reversed

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M src/org/openbravo/retail/posterminal/PaidReceiptsPaymentsProperties.java
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---

- Issue History
Date Modified Username Field Change
2019-02-05 12:25 aferraz New Issue
2019-02-05 12:25 aferraz Assigned To => collazoandy4
2019-02-05 12:25 aferraz Triggers an Emergency Pack => No
2019-02-05 14:10 aferraz Proposed Solution updated
2019-02-07 06:59 collazoandy4 Status new => scheduled
2019-02-09 13:57 hgbot Checkin
2019-02-09 13:57 hgbot Note Added: 0109657
2019-02-09 13:57 hgbot Status scheduled => resolved
2019-02-09 13:57 hgbot Resolution open => fixed
2019-02-09 13:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9238d1bf8d7a6016b495f605e2057a49f2895972 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker